websocket-sharp : WebSocketSharp.Net Namespace

# HttpListenerResponse Class

Documentation for this section has not yet been entered.

## Syntax

public sealed class HttpListenerResponse : IDisposable

## Remarks

Documentation for this section has not yet been entered.

## Requirements

Namespace: WebSocketSharp.Net
Assembly: websocket-sharp (in websocket-sharp.dll)

## Members

See Also: Inherited members from object.

## Public Properties

| ContentEncoding | System.Text.Encoding . Documentation for this section has not yet been entered.
| ContentLength64 | long . Documentation for this section has not yet been entered.
| ContentType | string . Documentation for this section has not yet been entered.
| Cookies | CookieCollection . Documentation for this section has not yet been entered.
| Headers | WebHeaderCollection . Documentation for this section has not yet been entered.
| KeepAlive | bool . Documentation for this section has not yet been entered.
[read-only] | OutputStream | System.IO.Stream . Documentation for this section has not yet been entered.
| ProtocolVersion | Version . Documentation for this section has not yet been entered.
| RedirectLocation | string . Documentation for this section has not yet been entered.
| SendChunked | bool . Documentation for this section has not yet been entered.
| StatusCode | int . Documentation for this section has not yet been entered.
| StatusDescription | string . Documentation for this section has not yet been entered.

## Public Methods

| Abort () Documentation for this section has not yet been entered.
| AddHeader (string, string) Documentation for this section has not yet been entered.
| AppendCookie (Cookie) Documentation for this section has not yet been entered.
| AppendHeader (string, string) Documentation for this section has not yet been entered.
| Close () Documentation for this section has not yet been entered.
| Close (byte[], bool) Documentation for this section has not yet been entered.
| CopyFrom (HttpListenerResponse) Documentation for this section has not yet been entered.
| Redirect (string) Documentation for this section has not yet been entered.
| SetCookie (Cookie) Documentation for this section has not yet been entered.

## Explicitly Implemented Interface Members

| IDisposable.Dispose | Documentation for this section has not yet been entered.

## Extension Methods

static | IsNull<T> (this T) : bool Determines whether the specified object is `null`.
static | IsNullDo<T> (this T, Action) : bool Determines whether the specified object is `null`. And invokes the specified Action delegate if the specified object is `null`.
static | WriteContent (this HttpListenerResponse, byte[]) Writes the specified content data using the specified WebSocketSharp.Net.HttpListenerResponse.

## Member Details

### Abort Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void Abort ()

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### AddHeader Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void AddHeader (string name, string value)

> #### Parameters

> > name
> >   Documentation for this section has not yet been entered.
> > value
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### AppendCookie Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void AppendCookie (Cookie cookie)

> #### Parameters

> > cookie
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### AppendHeader Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void AppendHeader (string name, string value)

> #### Parameters

> > name
> >   Documentation for this section has not yet been entered.
> > value
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### Close Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void Close ()

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### Close Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void Close (byte[] responseEntity, bool willBlock)

> #### Parameters

> > responseEntity
> >   Documentation for this section has not yet been entered.
> > willBlock
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### ContentEncoding Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public System.Text.Encoding ContentEncoding { get; set; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### ContentLength64 Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public long ContentLength64 { get; set; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### ContentType Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public string ContentType { get; set; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### Cookies Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public CookieCollection Cookies { get; set; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### CopyFrom Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void CopyFrom (HttpListenerResponse templateResponse)

> #### Parameters

> > templateResponse
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### Headers Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public WebHeaderCollection Headers { get; set; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### KeepAlive Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public bool KeepAlive { get; set; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### OutputStream Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public System.IO.Stream OutputStream { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### ProtocolVersion Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public Version ProtocolVersion { get; set; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### Redirect Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void Redirect (string url)

> #### Parameters

> > url
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### RedirectLocation Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public string RedirectLocation { get; set; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### SendChunked Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public bool SendChunked { get; set; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### SetCookie Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void SetCookie (Cookie cookie)

> #### Parameters

> > cookie
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### StatusCode Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public int StatusCode { get; set; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### StatusDescription Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public string StatusDescription { get; set; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### System.IDisposable.Dispose Method

> Documentation for this section has not yet been entered.

> ## Syntax

> void System.IDisposable.Dispose ()

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)